Skip to main content
GET
/
management
/
contact-attribute-keys
Get contact attribute keys
curl --request GET \
  --url https://app.formbricks.com/api/v2/management/contact-attribute-keys \
  --header 'x-api-key: <api-key>'
import requests

url = "https://app.formbricks.com/api/v2/management/contact-attribute-keys"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://app.formbricks.com/api/v2/management/contact-attribute-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "createdAt": "2021-01-01T00:00:00.000Z",
      "updatedAt": "2021-01-01T00:00:00.000Z",
      "isUnique": false,
      "key": "email",
      "name": "Email Address",
      "description": "The user's email address",
      "type": "custom",
      "workspaceId": "<string>",
      "environmentId": "<string>"
    }
  ],
  "meta": {
    "total": 123,
    "limit": 123,
    "offset": 123
  }
}

Authorizations

x-api-key
string
header
required

Use your Formbricks x-api-key to authenticate.

Query Parameters

limit
number
default:50

Number of items to return

Required range: 1 <= x <= 250
skip
number
default:0

Number of items to skip

Required range: x >= 0
sortBy
enum<string>
default:createdAt

Sort by field

Available options:
createdAt,
updatedAt
order
enum<string>
default:desc

Sort order

Available options:
asc,
desc
startDate
string

Start date

endDate
string

End date

filterDateField
enum<string>

Date field to filter by

Available options:
createdAt,
updatedAt
workspaceId
string

The Workspace ID to filter by

environmentId
string

Deprecated alias for workspaceId

Response

200 - application/json

Contact attribute keys retrieved successfully.

data
object[]
meta
object